import Vue from 'vue'
import store from './store';
import App from './App'
import util from './untils/func.js'
import uView from '@/uni_modules/uview-ui'

// 注册全局组件
// import MescrollBody from "@/components/mescroll-uni/mescroll-body.vue"
// import MescrollUni from "@/components/mescroll-uni/mescroll-uni.vue"
// Vue.component('mescroll-body', MescrollBody)
// Vue.component('mescroll-uni', MescrollUni)

// 注册全局组件
import JlButton from "@/components/jl-button/main.vue"
import JlForm from "@/components/jl-form/main.vue"
import JlFormItem from "@/components/jl-form/item.vue"
import CSButton from "@/components/cs-button/main.vue"
Vue.component('jl-button', JlButton)
Vue.component('jl-form', JlForm)
Vue.component('jl-form-item', JlFormItem)
Vue.component('cs-button', CSButton)

Vue.config.productionTip = false

Vue.use(util)
Vue.use(uView)

App.mpType = 'app'
const app = new Vue({
    ...App,store
})
app.$mount()
